Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1354179 - [abrt] java-1.8.0-openjdk-headless: outputStream::print_cr(): java killed by SIGABRT [NEEDINFO]
Summary: [abrt] java-1.8.0-openjdk-headless: outputStream::print_cr(): java killed by ...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: azureus
Version: 24
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: David Juran
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:44f66aa3065fa44a180e8f9bd17...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-07-10 11:49 UTC by David Wald
Modified: 2017-08-08 15:30 UTC (History)
11 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-08-08 15:30:08 UTC
djuran: needinfo? (dwald34)


Attachments (Terms of Use)
File: backtrace (deleted)
2016-07-10 11:49 UTC, David Wald
no flags Details
File: cgroup (deleted)
2016-07-10 11:49 UTC, David Wald
no flags Details
File: core_backtrace (deleted)
2016-07-10 11:49 UTC, David Wald
no flags Details
File: dso_list (deleted)
2016-07-10 11:49 UTC, David Wald
no flags Details
File: environ (deleted)
2016-07-10 11:49 UTC, David Wald
no flags Details
File: limits (deleted)
2016-07-10 11:49 UTC, David Wald
no flags Details
File: maps (deleted)
2016-07-10 11:49 UTC, David Wald
no flags Details
File: mountinfo (deleted)
2016-07-10 11:49 UTC, David Wald
no flags Details
File: namespaces (deleted)
2016-07-10 11:49 UTC, David Wald
no flags Details
File: open_fds (deleted)
2016-07-10 11:49 UTC, David Wald
no flags Details
File: proc_pid_status (deleted)
2016-07-10 11:49 UTC, David Wald
no flags Details
File: var_log_messages (deleted)
2016-07-10 11:49 UTC, David Wald
no flags Details

Description David Wald 2016-07-10 11:49:15 UTC
Description of problem:
Starting up Vuze

Version-Release number of selected component:
java-1.8.0-openjdk-headless-1.8.0.92-3.b14.fc24

Additional info:
reporter:       libreport-2.7.1
backtrace_rating: 4
cmdline:        /usr/lib/jvm/jre/bin/java -cp /usr/lib64/eclipse/swt.jar:/usr/share/java/json_simple.jar:/usr/share/java/bcprov.jar:/usr/share/java/apache-commons-cli.jar:/usr/share/java/apache-commons-lang.jar:/usr/share/java/log4j-1.jar:/usr/share/azureus/Azureus2.jar:./*.jar -Djava.library.path=/home/dwald/.azureus/app -Dazureus.install.path=/home/dwald/.azureus/app -Dazureus.script=/usr/bin/azureus -Dazureus.script.version=5 -Dorg.eclipse.swt.browser.UseWebKitGTK=true -Dazureus.skipSWTcheck=1 org.gudy.azureus2.platform.unix.ScriptBeforeStartup
crash_function: outputStream::print_cr
executable:     /usr/lib/jvm/java-1.8.0-openjdk-1.8.0.92-3.b14.fc24.x86_64/jre/bin/java
global_pid:     2187
kernel:         4.6.3-300.fc24.x86_64
pkg_fingerprint: 73BD E983 81B4 6521
pkg_vendor:     Fedora Project
reproducible:   Not sure how to reproduce the problem
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #6 outputStream::print_cr at /usr/src/debug/java-1.8.0-openjdk-1.8.0.92-3.b14.fc24.x86_64/openjdk/hotspot/src/share/vm/utilities/ostream.cpp:140
 #7 VMError::report at /usr/src/debug/java-1.8.0-openjdk-1.8.0.92-3.b14.fc24.x86_64/openjdk/hotspot/src/share/vm/utilities/vmError.cpp:346
 #10 signalHandler at /usr/src/debug/java-1.8.0-openjdk-1.8.0.92-3.b14.fc24.x86_64/openjdk/hotspot/src/os/linux/vm/os_linux.cpp:4233
 #12 std::_Function_base::_Function_base at /usr/include/c++/6.1.1/functional:1694
 #13 std::function<void ()>::function(std::function<void ()>&&) at /usr/include/c++/6.1.1/functional:1897
 #14 WTF::Deque<std::function<void ()>, 0ul>::append<std::function<void ()> >(std::function<void ()>&&) at /usr/src/debug/webkitgtk-2.12.3/Source/WTF/wtf/Deque.h:441
 #15 WTF::Deque<std::function<void ()>, 0ul>::append(std::function<void ()>&&) at /usr/src/debug/webkitgtk-2.12.3/Source/WTF/wtf/Deque.h:85
 #16 WTF::RunLoop::dispatch(std::function<void ()>) at /usr/src/debug/webkitgtk-2.12.3/Source/WTF/wtf/RunLoop.cpp:130
 #17 WebKit::ProcessLauncher::launchProcess()
 #18 std::function<void ()>::operator()() const at /usr/include/c++/6.1.1/functional:2136

Comment 1 David Wald 2016-07-10 11:49:21 UTC
Created attachment 1178053 [details]
File: backtrace

Comment 2 David Wald 2016-07-10 11:49:22 UTC
Created attachment 1178054 [details]
File: cgroup

Comment 3 David Wald 2016-07-10 11:49:23 UTC
Created attachment 1178055 [details]
File: core_backtrace

Comment 4 David Wald 2016-07-10 11:49:24 UTC
Created attachment 1178056 [details]
File: dso_list

Comment 5 David Wald 2016-07-10 11:49:25 UTC
Created attachment 1178057 [details]
File: environ

Comment 6 David Wald 2016-07-10 11:49:26 UTC
Created attachment 1178058 [details]
File: limits

Comment 7 David Wald 2016-07-10 11:49:27 UTC
Created attachment 1178059 [details]
File: maps

Comment 8 David Wald 2016-07-10 11:49:29 UTC
Created attachment 1178060 [details]
File: mountinfo

Comment 9 David Wald 2016-07-10 11:49:30 UTC
Created attachment 1178061 [details]
File: namespaces

Comment 10 David Wald 2016-07-10 11:49:31 UTC
Created attachment 1178062 [details]
File: open_fds

Comment 11 David Wald 2016-07-10 11:49:32 UTC
Created attachment 1178063 [details]
File: proc_pid_status

Comment 12 David Wald 2016-07-10 11:49:33 UTC
Created attachment 1178064 [details]
File: var_log_messages

Comment 13 Severin Gehwolf 2016-07-11 12:56:24 UTC
-Djava.library.path=/home/dwald/.azureus/app -Dazureus.install.path=/home/dwald/.azureus/app

--^ This suggests it's using some third-party app (vuze?), which in turn uses webkit triggering a code path that crashes the JVM. Is this reproducible with packages from Fedora only?

Comment 14 David Wald 2016-07-11 23:20:22 UTC
I can tell you it happens every time Vuze starts up, and only began after I upgraded to Fedora 24.  Also, Vuze seems to run normally.

Comment 15 Severin Gehwolf 2016-07-12 09:09:01 UTC
Re-assigning to azureus component as this seems more appropriate for an analysis. It seems your installation didn't come from the F24 repositories (package azureus), though. Can you confirm?

Comment 16 David Juran 2016-08-01 12:45:09 UTC
Uhm, since it got re-assigned, could you please try the version of Vuze (which gor historical reasons still is called azureus)?

sudo dnf install azureus
/usr/bin/azureus

I just briefly tried it myself here and couldn't reproduce the issue.

Comment 17 Fedora End Of Life 2017-07-25 21:42:59 UTC
This message is a reminder that Fedora 24 is nearing its end of life.
Approximately 2 (two) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 24. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '24'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 24 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 18 Fedora End Of Life 2017-08-08 15:30:08 UTC
Fedora 24 changed to end-of-life (EOL) status on 2017-08-08. Fedora 24 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.